Ask Your Question
0

I am able to convert pre-trained models(pfe.onnx and rpn.onnx) into tensorrt. But I am not able to convert our models into tensorrt.

asked 2019-07-16 00:26:30 -0600

Siva gravatar image

ONNX IR version: 0.0.4 Opset version: 9 Producer name: pytorch Producer version: 1.1 Domain: Model version: 0 Doc string: While parsing node number 16 [Squeeze -> “175”]: ERROR: /home/erisuser/p4sw/sw/gpgpu/MachineLearning/DIT/release/5.0/parsers/onnxOpenSource/builtin_op_importers.cpp:1570 In function importSqueeze: [8] Assertion failed: axis != BATCH_DIM ERROR: failed to parse onnx file Please address the issue. Thanks in advance

edit retag flag offensive close merge delete

Comments

@Siva, did you manage to find a solution to your problem ?

Mackou gravatar image Mackou  ( 2019-11-21 04:28:49 -0600 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2019-07-16 01:01:50 -0600

kosuke_murakami gravatar image

Thank you for your question. Unfortunately, if you want to use your own model, it is the out of the scope of Autoware.

You can ask a question regarding TensorRT here. https://www.nvidia.com/object/support...

Here for pytorch questions. https://discuss.pytorch.org/

edit flag offensive delete link more

Comments

Thanks for the reply. May I know which version of Pytorch you used to convert to onnx models and tensorrt version?

Siva gravatar image Siva  ( 2019-07-16 01:08:24 -0600 )edit

Please check the readme.md for TensorRT version. https://gitlab.com/kosuke_m/core_perc...

Any version of pytorch which can convert to onnx model should be fine.

kosuke_murakami gravatar image kosuke_murakami  ( 2019-07-16 03:36:10 -0600 )edit

Got it,

I am using Pytorch 1.1,tensorrt 5.0(as you mentioned in readme), ONNX IR version:0.0.4, Opset version:9 and converted to onnx. Now i can able to convert rpn.onnx to rpn.trt but i am not able to convert pfe.onnx to pfe.trt.

The error is like below:

While parsing node number 16 [Squeeze -> “175”]: ERROR: /home/erisuser/p4sw/sw/gpgpu/MachineLearning/DIT/release/5.0/parsers/onnxOpenSource/builtin_op_importers.cpp:1570 In function importSqueeze: [8] Assertion failed: axis != BATCH_DIM ERROR: failed to parse onnx file

Siva gravatar image Siva  ( 2019-07-16 07:09:01 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2019-07-16 00:26:30 -0600

Seen: 393 times

Last updated: Jul 16 '19